﻿#chatbot-wrapper {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9999;
}


#chatbot-callout {
    position: absolute;
    bottom: 75px;
    right: 0px;
    width: 220px;
    padding: 12px 15px;
    background: #1f6f78;
    color: #fff;
    text-align: center;
    font-family: Arial, sans-serif;
    font-size: 15px;
    font-weight: bold;
    line-height: 1.3;
    border-radius: 4px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    z-index: 9999;
    animation: chatbotPulse 1.5s infinite ease-in-out;
    transform-origin: center center;
    transition: opacity .5s ease;
    display: block;
}


    #chatbot-callout:after {
        content: "";
        position: absolute;
        left: 50%;
        margin-left: -12px;
        /*transform: translateX(-50%);*/
        bottom: -10px;
        width: 0;
        height: 0;
        border-left: 12px solid transparent;
        border-right: 12px solid transparent;
        border-top: 12px solid #1f6f78;
    }


@keyframes chatbotPulse {

    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.08);
    }

    100% {
        transform: scale(1);
    }
}


.bubble-text {
    animation: textBounce 1s infinite;
}

@keyframes textBounce {
    0%,100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-3px);
    }
}



#chatbot-toggle {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #1f6f78;
    border: none;
    cursor: pointer;
    box-shadow: 0 4px 12px rgba(0,0,0,0.3);
    overflow: hidden;
}

#chatbot-icon {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


#chatbot-chat {
    display: none;
    position: fixed;
    bottom: 90px;
    right: 20px;
    width: 400px;
    height: 600px;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 6px 18px rgba(0,0,0,0.35);
    background: white;
}


    #chatbot-chat iframe {
        width: 100%;
        height: 100%;
        border: none;
    }


#chatbot-wrapper.expanded #chatbot-chat {
    display: block;
}


#chatbot-wrapper.expanded #chatbot-toggle {
    display: none !important;
}



#chatbot-close-floating {
    display: none;
    position: fixed;
    bottom: 700px;
    right: 30px;
    width: 38px;
    height: 38px;
    border-radius: 50%;
    border: none;
    background: #1f6f78;
    color: white;
    font-size: 22px;
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
    z-index: 10000;
}


#chatbot-wrapper.expanded #chatbot-close-floating {
    display: block;
}


#chatbot-close-floating:hover {
    background: #155a60;
}
